{
  config,
  osConfig,
  pkgs,
  ...
}:
{

  home.packages = with pkgs; [ hypridle ];
  xdg.configFile = {
    "hypr/hypridle.conf" = {
      source = config.lib.file.mkOutOfStoreSymlink ./. + "/hypridle_${osConfig.system.name}.conf";
      target = "hypr/hypridle.conf";
    };
  };
}
