{ pkgs, ... }:
{
  programs.git = {
    enable = true;
    userName = "Torjus Håkestad";
    userEmail = "torjus@usit.uio.no";

    lfs.enable = true;

    signing = {
      key = "~/.ssh/id_ed25519.pub";
      signByDefault = true;
    };

    includes = [
      {
        contents = {
          gpg.format = "ssh";
        };
      }
    ];
  };
}
