{ config, pkgs, ... }:
{
  xdg.configFile."kitty/kitty.conf" = {
    source = config.lib.file.mkOutOfStoreSymlink ./. + "/kitty.conf";
    target = "kitty/kitty.conf";
  };
  xdg.configFile."kitty/themes/macchiato.conf" = {
    source =
      pkgs.fetchFromGitHub {
        owner = "catppuccin";
        repo = "kitty";
        rev = "d7d61716a83cd135344cbb353af9d197c5d7cec1";
        sha256 = "mRFa+40fuJCUrR1o4zMi7AlgjRtFmii4fNsQyD8hIjM=";
      }
      + "/themes/macchiato.conf";
  };
  xdg.configFile."kitty/themes/latte.conf" = {
    source =
      pkgs.fetchFromGitHub {
        owner = "catppuccin";
        repo = "kitty";
        rev = "d7d61716a83cd135344cbb353af9d197c5d7cec1";
        sha256 = "mRFa+40fuJCUrR1o4zMi7AlgjRtFmii4fNsQyD8hIjM=";
      }
      + "/themes/latte.conf";
  };
}
