{ config, pkgs, ... }:
{
  xdg.configFile."rofi/config.rasi" = {
    source = ./config.rasi;
  };

  xdg.configFile."rofi/macchiato.rasi" = {
    source =
      pkgs.fetchFromGitHub {
        owner = "catppuccin";
        repo = "rofi";
        rev = "5350da41a11814f950c3354f090b90d4674a95ce";
        sha256 = "DNorfyl3C4RBclF2KDgwvQQwixpTwSRu7fIvihPN8JY=";
      }
      + "/basic/.local/share/rofi/themes/catppuccin-macchiato.rasi";
  };
  xdg.configFile."rofi/latte.rasi" = {
    source =
      pkgs.fetchFromGitHub {
        owner = "catppuccin";
        repo = "rofi";
        rev = "5350da41a11814f950c3354f090b90d4674a95ce";
        sha256 = "DNorfyl3C4RBclF2KDgwvQQwixpTwSRu7fIvihPN8JY=";
      }
      + "/basic/.local/share/rofi/themes/catppuccin-latte.rasi";
  };
}
