{
  pkgs,
  lib,
  config,
  ...
}:
with lib;
let
  cfg = config.tmux.enable;
in
{
  options.tmux.enable = mkEnableOption "tmux";
  config = mkIf cfg {
    programs.tmux = {
      enable = true;
      prefix = "C-a";
      terminal = "screen-256color";
    };
  };
}
