{
  config,
  osConfig,
  pkgs,
  ...
}:
{

  home.packages = with pkgs; [ hyprlock ];
  xdg.configFile = {
    "hypr/hyprlock.conf" = {
      source = config.lib.file.mkOutOfStoreSymlink ./. + "/hyprlock_${osConfig.system.name}.conf";
      target = "hypr/hyprlock.conf";
    };
  };
}
