{ pkgs, config, ... }:
{
  systemd.user.services.ghettoptt = {
    Unit = {
      Description = "Run ghettoptt";
    };
    Service = {
      Type = "simple";
      ExecStart = "${pkgs.ghettoptt}/bin/ghettoptt";
    };
    Install = {
      WantedBy = [ "graphical-session.target" ];
    };
  };
}
